package com.mvc.dao;

import com.mvc.entity.DicProductionPart;
import com.mvc.entity.DicProductionPartExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface DicProductionPartMapper {
    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-13 15:58:06
     */
    long countByExample(DicProductionPartExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-13 15:58:06
     */
    int deleteByExample(DicProductionPartExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-13 15:58:06
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-13 15:58:06
     */
    int insert(DicProductionPart record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-13 15:58:06
     */
    int insertSelective(DicProductionPart record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-13 15:58:06
     */
    List<DicProductionPart> selectByExample(DicProductionPartExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-13 15:58:06
     */
    DicProductionPart selectByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-13 15:58:06
     */
    int updateByExampleSelective(@Param("record") DicProductionPart record, @Param("example") DicProductionPartExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-13 15:58:06
     */
    int updateByExample(@Param("record") DicProductionPart record, @Param("example") DicProductionPartExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-13 15:58:06
     */
    int updateByPrimaryKeySelective(DicProductionPart record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2024-11-13 15:58:06
     */
    int updateByPrimaryKey(DicProductionPart record);
}